[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

OSF1 :vendor supplied FTP patch]



Description:  Potential security problems have been identified in
DU vendor supplied FTP.

Platform:  DU  4.0[def]

Status:  Patch provided by Compaq fixes the problem

Authority:  Compaq

The Script
----------

case "`/dcslib/allsys/bin/os-version`" in
        OSF1-4.0E)
                mv /usr/sbin/ftpd /usr/sbin/ftpd.WU-ftp
                cp -p /dcs/packages/patch/4.0e/ftpd.40f /usr/sbin/ftpd
                echo done       
                ;;
        OSF1-4.0D)
                mv /usr/sbin/ftpd /usr/sbin/ftpd.WU-ftp
                cp -p /dcs/packages/patch/4.0d/ftpd.40d /usr/sbin/ftpd
                echo done
                ;;
        OSF1-4.0F)
                mv /usr/sbin/ftpd /usr/sbin/ftpd.WU-ftp
                cp -p /dcs/packages/patch/4.0f/ftpd.40f /usr/sbin/ftpd
                echo done
                ;;
        OSF1-4.0G)
                echo "OSF1-4.0G do nothing"
                ;;
        *)
                echo inappropriate arch
                ;;
esac